## CongEditorAreaEntityRef

CongEditorAreaEntityRef —

## Synopsis

    struct      CongEditorAreaEntityRef;
    #define     CONG_EDITOR_AREA_ENTITY_REF     (obj)
    #define     CONG_EDITOR_AREA_ENTITY_REF_CLASS(klass)
    #define     IS_CONG_EDITOR_AREA_ENTITY_REF  (obj)
    GType       cong_editor_area_entity_ref_get_type
                                                (void);
    CongEditorArea* cong_editor_area_entity_ref_construct
                                                (CongEditorAreaEntityRef *area_entity_ref,
                                                 CongEditorWidget3 *editor_widget,
                                                 const gchar *text);
    CongEditorArea* cong_editor_area_entity_ref_new
                                                (CongEditorWidget3 *editor_widget,
                                                 const gchar *text);

## Object Hierarchy

      GObject
       +----CongEditorArea
             +----CongEditorAreaContainer
                   +----CongEditorAreaBin
                         +----CongEditorAreaEntityRef

## Description

## Details

### struct CongEditorAreaEntityRef

    struct CongEditorAreaEntityRef;

### CONG_EDITOR_AREA_ENTITY_REF()

    #define CONG_EDITOR_AREA_ENTITY_REF(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_AREA_ENTITY_REF_TYPE, CongEditorAreaEntityRef)

`obj` : |

### CONG_EDITOR_AREA_ENTITY_REF_CLASS()

    #define CONG_EDITOR_AREA_ENTITY_REF_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_AREA_ENTITY_REF_TYPE, CongEditorAreaEntityRefClass)

`klass` : |

### IS_CONG_EDITOR_AREA_ENTITY_REF()

    #define IS_CONG_EDITOR_AREA_ENTITY_REF(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_AREA_ENTITY_REF_TYPE)

`obj` : |

### cong_editor_area_entity_ref_get_type ()

    GType       cong_editor_area_entity_ref_get_type
                                                (void);

Returns : |

### cong_editor_area_entity_ref_construct ()

    CongEditorArea* cong_editor_area_entity_ref_construct
                                                (CongEditorAreaEntityRef *area_entity_ref,
                                                 CongEditorWidget3 *editor_widget,
                                                 const gchar *text);

TODO: Write me

`area_entity_ref` : |
`editor_widget` : |
`text` : |
Returns : |

### cong_editor_area_entity_ref_new ()

    CongEditorArea* cong_editor_area_entity_ref_new
                                                (CongEditorWidget3 *editor_widget,
                                                 const gchar *text);

TODO: Write me

`editor_widget` : |
`text` : |
Returns : |